GNU bug report logs - #19392
Emacs searches for dabbrevs in archive buffers

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Paul Pogonyshev <pogonyshev@HIDDEN>; dated Tue, 16 Dec 2014 09:33:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 24 Oct 2021 14:27:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 10:27:52 2021
Received: from localhost ([127.0.0.1]:40496 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meeTX-0000QH-Ny
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 10:27:51 -0400
Received: from mail-pl1-f175.google.com ([209.85.214.175]:41716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1meeTT-0000Pp-P2
 for 19392 <at> debbugs.gnu.org; Sun, 24 Oct 2021 10:27:48 -0400
Received: by mail-pl1-f175.google.com with SMTP id e10so6120009plh.8
 for <19392 <at> debbugs.gnu.org>; Sun, 24 Oct 2021 07:27:47 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=aotbYgsgnDoDKgrRexfV/sMQ52qbIKLNquNxva0vA6M=;
 b=dAOO/LWaMx8UJpXXenGoYrkq7tF/UU1SnDU106K5cAbXE/uS2baRMkapHL2ByAGgPB
 PxP8w5SAnWBZ2kQG/akdL2tzPAFvqqaM24beIEsGqX4ISJ4dXn7sZOXGOq66jpMuwOTd
 zNjVf9RjWkomXv0bRw2sm7MUU36/2n5DhHeHi5P9Qdj7BXwlT0tRuz++ouXnvx9f7zcP
 DAc0VOyUk7PZrw/tQcOJEnM+mc0Ihr1AiAj5DTl0qIO2Rri+kWxTlqbVDGIOe91pYTR6
 I43K0w/V1Pysz6vXnF9NxNH5U5FpfaFqWqGemsWaRVzjxSLfUfKsN4rYKelAQSNdhq/k
 6zQQ==
X-Gm-Message-State: AOAM530CnphxEfb+neViCgLuMa5CVmWx+LK5Tu89iGi8iVZ2dxlq536r
 iC+r0hWeN6K7y22cShROP5XXHcOYp7SrkUQhgFk=
X-Google-Smtp-Source: ABdhPJxqAxaaVu2tg5zGF4DRmC+dhkrdlhqDRAXYmC3fUnH/prVYu0I/ZJyv5AGkVBhfseq7dt1xRYnBtiPYlOnug5Y=
X-Received: by 2002:a17:902:e750:b0:140:2693:b2e8 with SMTP id
 p16-20020a170902e75000b001402693b2e8mr11149178plf.22.1635085662051; Sun, 24
 Oct 2021 07:27:42 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 24 Oct 2021 07:27:41 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87fssqa7bg.fsf@HIDDEN>
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 <83czrl83ra.fsf@HIDDEN> <87r1g0dg22.fsf@HIDDEN> <83sg0g7q68.fsf@HIDDEN>
 <875yxcrxy8.fsf@HIDDEN>
 <CADwFkmkXksZtVaLjv5iW5rbXyJMh04AAM_HJ2j4Z8QiavTi-aQ@HIDDEN>
 <87ee8abof3.fsf@HIDDEN>
 <CADwFkmnsSPp3nDaAB2VweXWJd5h2HQ7Bu4zouERrWuAdLpnRNQ@HIDDEN>
 <87fssqa7bg.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sun, 24 Oct 2021 07:27:41 -0700
Message-ID: <CADwFkmnTit8DtZjps57m8rB4Woxyp6J8LD=60nN=yoRcW-r_ow@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 19392
Cc: Eli Zaretskii <eliz@HIDDEN>, pogonyshev@HIDDEN, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Stefan Kangas <stefan@HIDDEN> writes:
>
>> Perhaps `hexl-mode' as well?
>
> Possibly -- does it load the binary data into a buffer?

It is just unlikely to produce anything useful.  Here's what the start
of a PNG file might look like, for example:

00000000: 8950 4e47 0d0a 1a0a 0000 000d 4948 4452  .PNG........IHDR
00000010: 0000 0a00 0000 05a0 0802 0000 001d 628d  ..............b.
00000020: 8800 0000 0373 4249 5408 0808 dbe1 4fe0  .....sBIT.....O.
00000030: 0000 2000 4944 4154 785e ecdd 0760 14d5  .. .IDATx^...`..
00000040: bec7 f1f4 4aef 5d40 a4ab 0822 0a8a 7410  ....J.]@..."..t.
00000050: c586 ca55 5111 bc56 042b 0f15 7bbd 8280  ...UQ..V.+..{...

>> You could throw in `tetris-mode' and the other ones in play/, I guess.
>
> I don't think those have binary data (that may accidentally look like an
> abbreviation).

Right, it is another case of a buffer that will just contain nothing
useful for completion purposes.  But perhaps it doesn't contain anything
harmful either.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 24 Oct 2021 13:19:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 09:19:59 2021
Received: from localhost ([127.0.0.1]:38179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1medPr-0006bA-G4
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 09:19:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1medPp-0006aw-Kx
 for 19392 <at> debbugs.gnu.org; Sun, 24 Oct 2021 09:19:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=390CEkhsbMA/kpglE937PDvUsGXK2ThtU3sP1l+eJno=; b=Hq79EMFAek66i2blcnp4HqQAsR
 hR3a9C7o5vaAt1fWFCT2iFNaDlqYjtnwqpB8ywEzO6ijKVDH0toGQst8cxTJKxY1UaaDP4Tb312UA
 Om1ttuUgCxX9g5SKH7qFzy/qbYIPf4+A0r+c3MG89VZJn/sODNzsxVvddxvTJIaCsm70=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1medPf-0007In-Uw; Sun, 24 Oct 2021 15:19:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 <83czrl83ra.fsf@HIDDEN> <87r1g0dg22.fsf@HIDDEN>
 <83sg0g7q68.fsf@HIDDEN> <875yxcrxy8.fsf@HIDDEN>
 <CADwFkmkXksZtVaLjv5iW5rbXyJMh04AAM_HJ2j4Z8QiavTi-aQ@HIDDEN>
 <87ee8abof3.fsf@HIDDEN>
 <CADwFkmnsSPp3nDaAB2VweXWJd5h2HQ7Bu4zouERrWuAdLpnRNQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEUwGA+kTy7olFT/
 //+IyZgpAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UKGAw3DMXrUjsAAADuSURBVCjPjc8xbsMwDABA
 ETB/EP6HAerdQyjAmtMhekWf0KFTpw42EOuVJSlZdjrVg8QzRZEKYf9IpMeXM3DUGHaB3HpGIf9B
 mOkEeoEfQ+EzwrGRdxto9l8OpIet6CXgB4i4Zu5eUxG/bGvT2tR9JqvRF16nBk0IOea79pXJqzCt
 DqjYDOygVKyeR4PkzSBivfEhFUu4eD9DXIJo/G4XSFrAIA0otvsE+Yk3R9ClPHGihmiQivituDbk
 ohgbSilLzyh+GsDwiXzgAxg7GJh6DcNEaY0H8tbwZljzDrvgD+AVKZcBGBwp520Ae2T5BQcodEfp
 GrRSAAAAOGVYSWZNTQAqAAAACAABh2kABAAAAAEAAAAaAAAAAAACoAIABAAAAAEAAAGQoAMABAAA
 AAEAAAGQAAAAADj5TfYAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMTAtMjRUMTI6NTU6MTErMDA6
 MDB+Lt0lAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTEwLTI0VDEyOjU1OjExKzAwOjAwD3NlmQAA
 ABJ0RVh0ZXhpZjpFeGlmT2Zmc2V0ADI2UxuiZQAAABh0RVh0ZXhpZjpQaXhlbFhEaW1lbnNpb24A
 NDAwQPmChgAAABh0RVh0ZXhpZjpQaXhlbFlEaW1lbnNpb24ANDAw3fZj8AAAAABJRU5ErkJggg==
Date: Sun, 24 Oct 2021 15:19:47 +0200
In-Reply-To: <CADwFkmnsSPp3nDaAB2VweXWJd5h2HQ7Bu4zouERrWuAdLpnRNQ@HIDDEN>
 (Stefan Kangas's message of "Sun, 24 Oct 2021 06:07:16 -0700")
Message-ID: <87fssqa7bg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > Perhaps
 `hexl-mode'
 as well? Possibly -- does it load the binary data into a buffer? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19392
Cc: Eli Zaretskii <eliz@HIDDEN>, pogonyshev@HIDDEN, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Perhaps `hexl-mode' as well?

Possibly -- does it load the binary data into a buffer?

> You could throw in `tetris-mode' and the other ones in play/, I guess.

I don't think those have binary data (that may accidentally look like an
abbreviation). 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 24 Oct 2021 13:07:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 09:07:24 2021
Received: from localhost ([127.0.0.1]:38157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1medDg-00048w-3A
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 09:07:24 -0400
Received: from mail-pj1-f42.google.com ([209.85.216.42]:45992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1medDe-00048l-Vx
 for 19392 <at> debbugs.gnu.org; Sun, 24 Oct 2021 09:07:23 -0400
Received: by mail-pj1-f42.google.com with SMTP id
 ls14-20020a17090b350e00b001a00e2251c8so6358054pjb.4
 for <19392 <at> debbugs.gnu.org>; Sun, 24 Oct 2021 06:07:22 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=Nf5rwrKqCa8wF22lil/jD3rzJ3/fMZcBWxRuPBw7SeQ=;
 b=AYy1VRcxYJKuBJAlqNRHFE4jEjmkVU1kG4R60+rWwC70xqhX8yrIyzTaYOaWwpbckX
 6P4VXItcI/3QAARC90FHFfupWoCIm9sFQs9RLdxM16c/tq9qInnvQ8yxYfhQbQoeIVIc
 cLfSaxkqZDTx/t91GQiFF7XyzNIIISsQ/ejF/pZj1zkx+PXEIgpwJzWVhZXqiXdhlqff
 GvJ0XCcbvQ4+joBFxI4Y9Bwuxi6s0WtOMgBapcIU7Khd/a8ASRBWc6QrlavlCEpznaOG
 VQ33w0JiQdeozsMa/Gdo5jWcz3fd5fqiWE2LLB2E5SL5bmlBIQlYI5JAWDZecipU3urf
 voZw==
X-Gm-Message-State: AOAM533wrUSCs6pWrB/GrLsONHjsmarsUum8hX29OhKPqJ+kGi9GAa0D
 UWjtX51Y8ByHI0aDFgPl7ogKOVSxj4ndPDEraa8=
X-Google-Smtp-Source: ABdhPJw06MakFUhpcWQrk4ESY3a+TmkfmZcKfZjaQT3oGRq6w26JThku3gWlX+yM0KXyJLlRXTbHrKZ7EfTCfOlN2F0=
X-Received: by 2002:a17:90b:17d2:: with SMTP id
 me18mr28102674pjb.132.1635080837326; 
 Sun, 24 Oct 2021 06:07:17 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 24 Oct 2021 06:07:16 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87ee8abof3.fsf@HIDDEN>
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 <83czrl83ra.fsf@HIDDEN> <87r1g0dg22.fsf@HIDDEN> <83sg0g7q68.fsf@HIDDEN>
 <875yxcrxy8.fsf@HIDDEN>
 <CADwFkmkXksZtVaLjv5iW5rbXyJMh04AAM_HJ2j4Z8QiavTi-aQ@HIDDEN>
 <87ee8abof3.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sun, 24 Oct 2021 06:07:16 -0700
Message-ID: <CADwFkmnsSPp3nDaAB2VweXWJd5h2HQ7Bu4zouERrWuAdLpnRNQ@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 19392
Cc: Eli Zaretskii <eliz@HIDDEN>, pogonyshev@HIDDEN, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Are there a lot of these modes?  I'm just wondering whether this would
> make things easier (in practice) or not.  So (off the top of my head),
> this would be archive-mode, tar-mode, image-mode...  Uhm...  perhaps
> those are the major ones?

Perhaps `hexl-mode' as well?

You could throw in `tetris-mode' and the other ones in play/, I guess.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 24 Oct 2021 12:25:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 08:25:16 2021
Received: from localhost ([127.0.0.1]:38072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mecYu-00077S-9G
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 08:25:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mecYs-00077C-H5
 for 19392 <at> debbugs.gnu.org; Sun, 24 Oct 2021 08:25:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Hu+o59LGNnVZ5THLLksWDFmrQVAZb/Bye8hU19XkzLY=; b=ljow6ejZQXthsQfE/5KxW0PDO3
 6I8vbvEEdcRi3vyQwenpNwyOrECjeZPqUxoHh/Ep2L29ul0kLRIQoBvMpzo7WFfgsWhPFR0tzwglw
 n4TYFQnGknchVFJDsPYGhb9jpbpVHFqzTY/USUgJbkmE/24CprBLIYXbylN0xcnPK8cs=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mecYi-0006r8-JN; Sun, 24 Oct 2021 14:25:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 <83czrl83ra.fsf@HIDDEN> <87r1g0dg22.fsf@HIDDEN>
 <83sg0g7q68.fsf@HIDDEN> <875yxcrxy8.fsf@HIDDEN>
 <CADwFkmkXksZtVaLjv5iW5rbXyJMh04AAM_HJ2j4Z8QiavTi-aQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAAAAAByaaZbAAAAAXNSR0IArs4c6QAAAAJiS0dE
 AP+Hj8y/AAAACXBIWXMAAAsSAAALEgHS3X78AAAAB3RJTUUH5QoYDA8DQsvzUQAAAJhJREFUSMft
 k9ENgCAMRIGwkqPclF3KUfzBQC3aw/ihwX4R0tdryxHXMBZpMH9OIAeUk3BAXOqZQlqgIXBaQQF7
 BjolyKFhLrRCCGKSRPNDa0WnJSgBsV2lXpWrgZyWrETml4R+Sx7Gb6lgiTEQGo3jw7nxwh9344tS
 UU3MKTSmJxXqQzw/tGgBFzDOcRUwChxjSvP9wEeBDeQcFNLrTcmuAAAAJXRFWHRkYXRlOmNyZWF0
 ZQAyMDIxLTEwLTI0VDEyOjE1OjAyKzAwOjAwM7W0pAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0x
 MC0yNFQxMjoxNTowMiswMDowMELoDBgAAAA4dEVYdGljYzpjb3B5cmlnaHQAQ29weXJpZ2h0IChj
 KSAxOTk4IEhld2xldHQtUGFja2FyZCBDb21wYW55+Vd5NwAAACF0RVh0aWNjOmRlc2NyaXB0aW9u
 AHNSR0IgSUVDNjE5NjYtMi4xV63aRwAAACZ0RVh0aWNjOm1hbnVmYWN0dXJlcgBJRUMgaHR0cDov
 L3d3dy5pZWMuY2gcfwBMAAAAN3RFWHRpY2M6bW9kZWwASUVDIDYxOTY2LTIuMSBEZWZhdWx0IFJH
 QiBjb2xvdXIgc3BhY2UgLSBzUkdCRFNIqQAAAABJRU5ErkJggg==
X-Now-Playing: Lost Girls's _Menneskekollektivet_: "Love, Lovers"
Date: Sun, 24 Oct 2021 14:25:04 +0200
In-Reply-To: <CADwFkmkXksZtVaLjv5iW5rbXyJMh04AAM_HJ2j4Z8QiavTi-aQ@HIDDEN>
 (Stefan Kangas's message of "Fri, 22 Oct 2021 19:43:18 -0400")
Message-ID: <87ee8abof3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > Shouldn't we
 rather
 have a defcustom to ignore certain major modes? > The name could be
 `dabbrev-ignored-major-modes'.
 Are there a lot of these modes? I'm just wondering whether this would make
 things easier (in practice) or not. So (off the top of my head), this would
 be archive-mode, tar-mode, image-mode... Uhm... p [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19392
Cc: Eli Zaretskii <eliz@HIDDEN>, pogonyshev@HIDDEN, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Shouldn't we rather have a defcustom to ignore certain major modes?
> The name could be `dabbrev-ignored-major-modes'.

Are there a lot of these modes?  I'm just wondering whether this would
make things easier (in practice) or not.  So (off the top of my head),
this would be archive-mode, tar-mode, image-mode...  Uhm...  perhaps
those are the major ones?

Then it does sound like a simpler way to customise this, because there's
a lot of archive/image file names you'd have to match.

So I think adding `dabbrev-ignored-major-modes' sounds like a good idea.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 23 Oct 2021 07:47:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 03:47:55 2021
Received: from localhost ([127.0.0.1]:34280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meBkx-00052s-CB
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 03:47:55 -0400
Received: from mail-pj1-f46.google.com ([209.85.216.46]:54926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1meBkt-00051w-TE
 for 19392 <at> debbugs.gnu.org; Sat, 23 Oct 2021 03:47:52 -0400
Received: by mail-pj1-f46.google.com with SMTP id np13so4471462pjb.4
 for <19392 <at> debbugs.gnu.org>; Sat, 23 Oct 2021 00:47:51 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=8fly7+sFRB/USz1w6FK3Re9yp8bkRgF/ymMdsyz1mqk=;
 b=C60aRMloFrU7qTz/reqSOwCGzs4wbgBgBCVBCNCsGQaqyJr06otyVVpzFyGoGRKJ19
 OnwZDoTtauoI+NQHRMVSaWDm0suZvy02NwTp0SAlQTDVEqkVBnDBM1fa3pifRf4ikR0i
 K/DlG3qdQ4rT5XsIdu6nHT+AHWb7W0yMG+usoKLa+QfeTPzDK0s56G/9aGWeHopnlDaP
 kPWSy/W2yeRqwoeuhRQ6lgT2dgUHPGLJ9/xwMUdrj9OKynKwwbno2G7Ip+1SMQNucaCT
 kow1qp7yAEOvmyxxbcJXcjnGC6mHnwz9ikH8eYu/zr971xtuuU0M0xiYoGzB13S8qBtM
 voug==
X-Gm-Message-State: AOAM530/NVNFo48z9+4eK0PAUPvYD0YA66h/RMlmR9RzpU4gf2u5EKV8
 6fr/UtEAPrnKpmSH1z8Er6ejmNJ6rXDgL/x/cG8=
X-Google-Smtp-Source: ABdhPJyYQ/D7He5A9UgJ7QQlTKvhNixdIpAv5FyuTJ0NrHg5JG2NQ3eAwNYwvCWiPMcTnSd4zgwPAUt+spMwrG7qzK4=
X-Received: by 2002:a17:902:c7c3:b0:140:2033:662c with SMTP id
 r3-20020a170902c7c300b001402033662cmr4156314pla.32.1634975266227; Sat, 23 Oct
 2021 00:47:46 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 23 Oct 2021 00:47:45 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83v91o5j1d.fsf@HIDDEN>
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 <83czrl83ra.fsf@HIDDEN> <87r1g0dg22.fsf@HIDDEN> <83sg0g7q68.fsf@HIDDEN>
 <875yxcrxy8.fsf@HIDDEN>
 <CADwFkmkXksZtVaLjv5iW5rbXyJMh04AAM_HJ2j4Z8QiavTi-aQ@HIDDEN>
 <83v91o5j1d.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sat, 23 Oct 2021 00:47:45 -0700
Message-ID: <CADwFkm=bGYXSagWWeNnQ4gG4FPXaO1T0-Oeq+cJY8UpmLXJYaA@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 19392
Cc: larsi@HIDDEN, pogonyshev@HIDDEN, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > It's a user option, so we shouldn't add things to it dynamically, but we
>> > could add a default that excludes these files.  The problem is, though,
>> > that that would be a very complex regexp matching everything that
>> > arc/tar/image modes covers, which is quite a lot.
>>
>> Shouldn't we rather have a defcustom to ignore certain major modes?
>> The name could be `dabbrev-ignored-major-modes'.
>
> I don't necessarily object, but don't the existing defcustom's already
> cover that, via buffer names?  We shouldn't over-engineer this, I
> think.

Yes, let's try to avoid over-engineering.  This proposal was mostly just
an alternative idea that might allow us to avoid adding some hairy
and/or brittle regexps.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 23 Oct 2021 06:53:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 02:53:44 2021
Received: from localhost ([127.0.0.1]:34223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meAuW-0001Wl-G6
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 02:53:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1meAuU-0001WY-Op
 for 19392 <at> debbugs.gnu.org; Sat, 23 Oct 2021 02:53:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53008)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1meAuJ-0006zN-2D; Sat, 23 Oct 2021 02:53:37 -0400
Received: from [87.69.77.57] (port=3686 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1meAuI-00014D-BS; Sat, 23 Oct 2021 02:53:30 -0400
Date: Sat, 23 Oct 2021 09:53:18 +0300
Message-Id: <83v91o5j1d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkXksZtVaLjv5iW5rbXyJMh04AAM_HJ2j4Z8QiavTi-aQ@HIDDEN>
 (message from Stefan Kangas on Fri, 22 Oct 2021 19:43:18 -0400)
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 <83czrl83ra.fsf@HIDDEN> <87r1g0dg22.fsf@HIDDEN> <83sg0g7q68.fsf@HIDDEN>
 <875yxcrxy8.fsf@HIDDEN>
 <CADwFkmkXksZtVaLjv5iW5rbXyJMh04AAM_HJ2j4Z8QiavTi-aQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19392
Cc: larsi@HIDDEN, pogonyshev@HIDDEN, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 22 Oct 2021 19:43:18 -0400
> Cc: Eli Zaretskii <eliz@HIDDEN>, pogonyshev@HIDDEN, 19392 <at> debbugs.gnu.org
> 
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> 
> > Eli Zaretskii <eliz@HIDDEN> writes:
> >
> >>> We do have all of that, but I think that it would be reasonable (by
> >>> default) for `dabbrev--select-buffers' to ignore these "binary"
> >>> buffers.  Because the data there is mostly noise.
> >>
> >> If you want to do that, why not just add the appropriate regexp(s) to
> >> dabbrev-ignored-buffer-regexps?
> >
> > It's a user option, so we shouldn't add things to it dynamically, but we
> > could add a default that excludes these files.  The problem is, though,
> > that that would be a very complex regexp matching everything that
> > arc/tar/image modes covers, which is quite a lot.
> >
> > The user option thing also goes for `dabbrev-ignored-buffer-names'.
> 
> Shouldn't we rather have a defcustom to ignore certain major modes?
> The name could be `dabbrev-ignored-major-modes'.

I don't necessarily object, but don't the existing defcustom's already
cover that, via buffer names?  We shouldn't over-engineer this, I
think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 22 Oct 2021 23:43:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 22 19:43:27 2021
Received: from localhost ([127.0.0.1]:33969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1me4C7-0007AQ-AS
	for submit <at> debbugs.gnu.org; Fri, 22 Oct 2021 19:43:27 -0400
Received: from mail-pj1-f45.google.com ([209.85.216.45]:43527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1me4C4-0007A6-FK
 for 19392 <at> debbugs.gnu.org; Fri, 22 Oct 2021 19:43:25 -0400
Received: by mail-pj1-f45.google.com with SMTP id
 e5-20020a17090a804500b001a116ad95caso4084296pjw.2
 for <19392 <at> debbugs.gnu.org>; Fri, 22 Oct 2021 16:43:24 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=rspMcwq+JUCdRNHThQAuIx8epYfcsPE21Kz0n99+hO4=;
 b=hBl10+PjlyF2zFU4n2XIOVkerxZswpqMYc7CaQqHgVD/IDt1KgkjJe0hY5LQgN0gR+
 a9MEP6//DCvCrBc7nk++2KozbCFwK4Kn6Yg33msMimDWvJW+qOLoEPgwjFB2b/Tgbxzy
 7uBSo3QykkBlMszsE/5bN2VFIOdJ+rskwa3XoFAiaUtfwTPmJhCbw8vpkbSi9dDqBsV4
 JxSUOb9sYsITqUSFYbcmDtr9u1z7iUyRdRxJKeleM2/mDXlQ63zDFgW7e52q22hFOsEc
 JMvB3uOqJe4HDJp/tnjytMIEP1DDpZZJjQJfeGKnFPiP7pduGgm2/aGHBzf39S8p9MBK
 st1w==
X-Gm-Message-State: AOAM533SCkYXko+ZptUssSC9T3hX/DSc0RnwhAI9UV09ERvHZyj9BqUc
 7UfImTpcJyDV8jGg37g3StnffAxRxvWl5ehdElv+W7M5
X-Google-Smtp-Source: ABdhPJx+Ifb5tt1P5Ufdz334JaEtA54zEl/Ne/vsWCHLKC2HKt4oWxmu1FKjYTr1y9myLlh4iggs8uPJH/GSFnshh8M=
X-Received: by 2002:a17:90b:3b86:: with SMTP id
 pc6mr772423pjb.143.1634946198906; 
 Fri, 22 Oct 2021 16:43:18 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 22 Oct 2021 19:43:18 -0400
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <875yxcrxy8.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 15 Jul 2021 06:41:03 +0200")
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 <83czrl83ra.fsf@HIDDEN> <87r1g0dg22.fsf@HIDDEN> <83sg0g7q68.fsf@HIDDEN>
 <875yxcrxy8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 22 Oct 2021 19:43:18 -0400
Message-ID: <CADwFkmkXksZtVaLjv5iW5rbXyJMh04AAM_HJ2j4Z8QiavTi-aQ@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 19392
Cc: Eli Zaretskii <eliz@HIDDEN>, pogonyshev@HIDDEN, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> We do have all of that, but I think that it would be reasonable (by
>>> default) for `dabbrev--select-buffers' to ignore these "binary"
>>> buffers.  Because the data there is mostly noise.
>>
>> If you want to do that, why not just add the appropriate regexp(s) to
>> dabbrev-ignored-buffer-regexps?
>
> It's a user option, so we shouldn't add things to it dynamically, but we
> could add a default that excludes these files.  The problem is, though,
> that that would be a very complex regexp matching everything that
> arc/tar/image modes covers, which is quite a lot.
>
> The user option thing also goes for `dabbrev-ignored-buffer-names'.

Shouldn't we rather have a defcustom to ignore certain major modes?
The name could be `dabbrev-ignored-major-modes'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 15 Jul 2021 04:41:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 15 00:41:15 2021
Received: from localhost ([127.0.0.1]:46230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3tBT-0007vK-3F
	for submit <at> debbugs.gnu.org; Thu, 15 Jul 2021 00:41:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3tBR-0007v7-MP
 for 19392 <at> debbugs.gnu.org; Thu, 15 Jul 2021 00:41:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=b4E1VhZ+RLeqMCWd50LnE5xBd757wezrOqirMEMa7uY=; b=AXYTNmFf0TYXV2RJyf7U9xpchX
 0ZV/2qwUi4xfh3xo/8dtieHBvpXpmFIMCn+T+xXw9No+2IUh2fGTVnpVjtuzIzuZIvsvkXWvy4LRf
 td4PR6ZKWGaQrT7K1OTZiQFR649FAyHln3kHtxhWRXashCMzZtguNBBYRN7ApKEkH0jk=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m3tBI-0003ov-7p; Thu, 15 Jul 2021 06:41:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 <83czrl83ra.fsf@HIDDEN> <87r1g0dg22.fsf@HIDDEN>
 <83sg0g7q68.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUFBAsPESopFRpd
 FB/PKzbVXp1JT0PdtUy7vMOUDhpBiiEhJFk/XKJckM/////cWtUyAAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+UHDwQfGlcvs+8AAAFRSURBVDjLY2CAAAEG+gEmYyVlBWwSLKEhoQ7YJFSAEk5YzElgS04z
 NoByGYGeYAKz2CrawLQgQi0jVKIMrLHcGc0otrQkMFXuiSLcXgGzaoonsjkM7eWwANNENarchQGL
 hKYlzJEMSgxKSkgeczFggASFiQtKkIAkIFZMmYmQYFJSYALqFgC7QokRoZzTBRQ8TDNBwADZHLCE
 ANMEJSVNYyQJJSUmMJcJSDApCiAkVq2C2pSAFkIEJTCS0LZEKEMBTWL3bqhRBgw4gLERugh3Nshe
 prQ0QSAQQIpYnt6LoGi5c/YMEN65i+QIQQFpaRj3zA0U1+09cQDmljM4JBjgcQ0G0jIbEOwbG5D1
 MOyIhkl0oAbOjmCYxF1UHfCwYhRCDzWYxG50CcaNG8GUIKbSjbjCkYFRgBG7BYyCikIK2CTE0tLS
 ErBJCCoJauNwLB0BAObeQfYY7VR9AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTA3LTE1VDA0OjMx
 OjI2KzAwOjAwOxnKwgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wNy0xNVQwNDozMToyNiswMDow
 MEpEcn4AAAAASUVORK5CYII=
X-Now-Playing: Squarepusher's _Be Up A Hello_: "Nervelevers"
Date: Thu, 15 Jul 2021 06:41:03 +0200
In-Reply-To: <83sg0g7q68.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Jul
 2021 20:37:03 +0300")
Message-ID: <875yxcrxy8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> We do have all of
 that,
 but I think that it would be reasonable (by >> default) for
 `dabbrev--select-buffers'
 to ignore these "binary" >> buffers. Because the data there is mostly noise.
 > > If you [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19392
Cc: pogonyshev@HIDDEN, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> We do have all of that, but I think that it would be reasonable (by
>> default) for `dabbrev--select-buffers' to ignore these "binary"
>> buffers.  Because the data there is mostly noise.
>
> If you want to do that, why not just add the appropriate regexp(s) to
> dabbrev-ignored-buffer-regexps?

It's a user option, so we shouldn't add things to it dynamically, but we
could add a default that excludes these files.  The problem is, though,
that that would be a very complex regexp matching everything that
arc/tar/image modes covers, which is quite a lot.

The user option thing also goes for `dabbrev-ignored-buffer-names'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 14 Jul 2021 17:37:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 14 13:37:14 2021
Received: from localhost ([127.0.0.1]:45866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3ios-0006zs-2q
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 13:37:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56554)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m3ioq-0006zc-6y
 for 19392 <at> debbugs.gnu.org; Wed, 14 Jul 2021 13:37:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48650)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m3iok-0005FT-KP; Wed, 14 Jul 2021 13:37:06 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3852
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m3ioj-0004Mi-Jw; Wed, 14 Jul 2021 13:37:06 -0400
Date: Wed, 14 Jul 2021 20:37:03 +0300
Message-Id: <83sg0g7q68.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87r1g0dg22.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 14 Jul 2021 18:19:01 +0200)
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 <83czrl83ra.fsf@HIDDEN> <87r1g0dg22.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19392
Cc: pogonyshev@HIDDEN, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Paul Pogonyshev <pogonyshev@HIDDEN>,  19392 <at> debbugs.gnu.org
> Date: Wed, 14 Jul 2021 18:19:01 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Note that Emacs only searches other buffers if it cannot find matches
> > in the current one, or exhausts the ones from the current buffer.  And
> > we already support dabbrev-select-buffers-function,
> > dabbrev-ignored-buffer-names, and dabbrev-ignored-buffer-regexps,
> > which could fine-tune which other buffers are searched.
> 
> We do have all of that, but I think that it would be reasonable (by
> default) for `dabbrev--select-buffers' to ignore these "binary"
> buffers.  Because the data there is mostly noise.

If you want to do that, why not just add the appropriate regexp(s) to
dabbrev-ignored-buffer-regexps?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 14 Jul 2021 16:19:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 14 12:19:12 2021
Received: from localhost ([127.0.0.1]:45810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3hbM-000523-5X
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 12:19:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3hbK-00051r-FB
 for 19392 <at> debbugs.gnu.org; Wed, 14 Jul 2021 12:19:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8f8aLogI1CZpdegqUS7TSMRUSB1jOXnppZ61e90UpSA=; b=aBMEENKLfENZHoTbPHmUHwo0Lx
 51+Lc8Cj4rd09kss49B9/LppPRXGT2xJl/pJJdsCKXfWOWyP2V/ftrWxMGazcqetXCn9GNWakHV+6
 bmL/MwOGI153u0mbR+ueRzPgz2fuyVyC7wQUzT7MpFyg7czS6X8oVztN7k/MZ+bM82i8=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m3hbB-0005ab-Tt; Wed, 14 Jul 2021 18:19:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 <83czrl83ra.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXAvcTBlz+0Uy1l
 Uzn////h+kdSAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UHDhAALhhSJQ0AAAG7SURBVDjLhZSNsewg
 CIWJNiDaQMQGAvTf2z2o2WTfz1xmxzV8cADjhOh/xtP+4ShfYeXZFOmpJ0mpCFah85CjnBPUFFZT
 LWfq1BP3c4I+/YgmOpMfPZVTAgyJFAKIaDEJEDWaCJ4cPxnDFqgPMCwGgADjM91gmkXGiF2/MyLB
 kOOQChui3Gj4Y7FHkpsrU9tOCZWdIq7IyDn8NiWGPKBY+LOhMETEXoDyzhDxnfNkbCl/1djFN5Bf
 gOiag1e7HlL2Bl+mCGsPqFvRjXtQgNWVLEUbAV0N4NHil15kRF/kjf0OGT7uAQvNOrSB8T3HRYce
 +6ijCqPGbCcuIFWeLZq5BJAI4YtqEeZ1DNK5hxTAoIz+FxhuvcquYdys9JWAOIRUKs14xQ1pinac
 RxDi7Fwy3CGk3IczJkKH+OOCErXwMX1Y7AE0QeNQZZbRFwiVcSnXHlNxFegSzoirZpcL8foNUDSz
 eICY6QFLF0tZR15HFF/gCKBrcsW1eIGuTee2+Znkc6kLI/zSNt/+le5XMG+GOk+AgHT0GxxTROcJ
 ylXj0/ABFUDmAw77Bp71z1u3vyl/GV7t62ldaGw6+w8N1JDo7S6oAAAAACV0RVh0ZGF0ZTpjcmVh
 dGUAMjAyMS0wNy0xNFQxNjowMDo0NSswMDowMOmFEUsAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEt
 MDctMTRUMTY6MDA6NDUrMDA6MDCY2Kn3AAAAAElFTkSuQmCC
X-Now-Playing: Alton Ellis's _Rocksteady Got Soul_: "I'll Be Waiting"
Date: Wed, 14 Jul 2021 18:19:01 +0200
In-Reply-To: <83czrl83ra.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Jul
 2021 15:43:37 +0300")
Message-ID: <87r1g0dg22.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Note that Emacs only
 searches other buffers if it cannot find matches > in the current one, or
 exhausts the ones from the current buffer. And > we already support
 dabbrev-select-buffers-function, > [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19392
Cc: Paul Pogonyshev <pogonyshev@HIDDEN>, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Note that Emacs only searches other buffers if it cannot find matches
> in the current one, or exhausts the ones from the current buffer.  And
> we already support dabbrev-select-buffers-function,
> dabbrev-ignored-buffer-names, and dabbrev-ignored-buffer-regexps,
> which could fine-tune which other buffers are searched.

We do have all of that, but I think that it would be reasonable (by
default) for `dabbrev--select-buffers' to ignore these "binary"
buffers.  Because the data there is mostly noise.

I think that could be easily implemented by allowing modes to set a
buffer-local variable like `dabbrev-ignore-buffer'.  I can see arc/tar
mode doing that, and perhaps image-mode, too?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 14 Jul 2021 16:16:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 14 12:16:10 2021
Received: from localhost ([127.0.0.1]:45805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3hYQ-0003nt-JW
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 12:16:10 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3hYO-0003hJ-8n
 for 19392 <at> debbugs.gnu.org; Wed, 14 Jul 2021 12:16:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=cpXvBhlKX8G2aerjBSFIleRK9Vgow+Ra/NsSZdJRqvA=; b=eot9RGgHkBIV69iDGgC0J54/95
 fuyosUxSQUI5MJ93uyZZtgIohIiwgVYf8Ya7J7XgKUS6BUwdx8bwOQqY5Tp71WsscCuCbFoczSaAq
 L2TnwsQOb5cwECRTwpNe2bsZQaqbKHcHjYQpW6S2f7nsevq0Hs+lpl8fDHAzUb/QlsO8=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m3hYF-0005Yk-Ek; Wed, 14 Jul 2021 18:16:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXAvcTBlz+0Uy1l
 Uzn////h+kdSAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UHDhAALhhSJQ0AAAG7SURBVDjLhZSNsewg
 CIWJNiDaQMQGAvTf2z2o2WTfz1xmxzV8cADjhOh/xtP+4ShfYeXZFOmpJ0mpCFah85CjnBPUFFZT
 LWfq1BP3c4I+/YgmOpMfPZVTAgyJFAKIaDEJEDWaCJ4cPxnDFqgPMCwGgADjM91gmkXGiF2/MyLB
 kOOQChui3Gj4Y7FHkpsrU9tOCZWdIq7IyDn8NiWGPKBY+LOhMETEXoDyzhDxnfNkbCl/1djFN5Bf
 gOiag1e7HlL2Bl+mCGsPqFvRjXtQgNWVLEUbAV0N4NHil15kRF/kjf0OGT7uAQvNOrSB8T3HRYce
 +6ijCqPGbCcuIFWeLZq5BJAI4YtqEeZ1DNK5hxTAoIz+FxhuvcquYdys9JWAOIRUKs14xQ1pinac
 RxDi7Fwy3CGk3IczJkKH+OOCErXwMX1Y7AE0QeNQZZbRFwiVcSnXHlNxFegSzoirZpcL8foNUDSz
 eICY6QFLF0tZR15HFF/gCKBrcsW1eIGuTee2+Znkc6kLI/zSNt/+le5XMG+GOk+AgHT0GxxTROcJ
 ylXj0/ABFUDmAw77Bp71z1u3vyl/GV7t62ldaGw6+w8N1JDo7S6oAAAAACV0RVh0ZGF0ZTpjcmVh
 dGUAMjAyMS0wNy0xNFQxNjowMDo0NSswMDowMOmFEUsAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEt
 MDctMTRUMTY6MDA6NDUrMDA6MDCY2Kn3AAAAAElFTkSuQmCC
X-Now-Playing: C. Marshall's _Rocksteady Got Soul_: "I Need Your Loving"
Date: Wed, 14 Jul 2021 18:15:58 +0200
In-Reply-To: <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 (Paul Pogonyshev's message of "Tue, 13 Jul 2021 23:12:27 +0200")
Message-ID: <87v95cdg75.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Paul Pogonyshev <pogonyshev@HIDDEN> writes: > $ emacs -Q
 random.zip > > 1. Switch to buffer "*scratch*" > 2. Type "P" (without quotes)
 > 3. Press M-/ > 4. Here it finds expansion "PK" from buffer "random.zip".
 Cycling > with M-/ finds a few mor [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19392
Cc: 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Paul Pogonyshev <pogonyshev@HIDDEN> writes:

> $ emacs -Q random.zip
>
> 1. Switch to buffer "*scratch*"
> 2. Type "P" (without quotes)
> 3. Press M-/
> 4. Here it finds expansion "PK" from buffer "random.zip".  Cycling
>    with M-/ finds a few more, which are more binary-like.

Thanks; with that recipe I can reproduce the behaviour.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 14 Jul 2021 12:43:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 14 08:43:48 2021
Received: from localhost ([127.0.0.1]:43293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3eEu-0005x4-KJ
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 08:43:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m3eEt-0005wo-4R
 for 19392 <at> debbugs.gnu.org; Wed, 14 Jul 2021 08:43:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38216)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m3eEn-0005Nt-FZ; Wed, 14 Jul 2021 08:43:41 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1570
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m3eEn-0004ln-2G; Wed, 14 Jul 2021 08:43:41 -0400
Date: Wed, 14 Jul 2021 15:43:37 +0300
Message-Id: <83czrl83ra.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Pogonyshev <pogonyshev@HIDDEN>
In-Reply-To: <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
 (message from Paul Pogonyshev on Tue, 13 Jul 2021 23:16:44 +0200)
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
 <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19392
Cc: larsi@HIDDEN, 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Paul Pogonyshev <pogonyshev@HIDDEN>
> Date: Tue, 13 Jul 2021 23:16:44 +0200
> Cc: 19392 <at> debbugs.gnu.org
> 
> Zipping binary data was not a good idea, but at least string "PK" doesn't come from the archived
> "random.bin". You can create another test `.zip' file by archiving a text file, to be sure.

FWIW, I don't see a bug here.  Why should we assume that "binary"
buffers could never have anything useful for M-/ ?

Note that Emacs only searches other buffers if it cannot find matches
in the current one, or exhausts the ones from the current buffer.  And
we already support dabbrev-select-buffers-function,
dabbrev-ignored-buffer-names, and dabbrev-ignored-buffer-regexps,
which could fine-tune which other buffers are searched.  So it sounds
like users who want to control which other buffers are searched have
more than enough knobs to have whatever behavior they want.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 13 Jul 2021 21:17:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 17:17:03 2021
Received: from localhost ([127.0.0.1]:42215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3Pm2-0001Af-Mf
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 17:17:02 -0400
Received: from mail-ed1-f53.google.com ([209.85.208.53]:41609)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pogonyshev@HIDDEN>) id 1m3Pm0-0001A7-KO
 for 19392 <at> debbugs.gnu.org; Tue, 13 Jul 2021 17:17:01 -0400
Received: by mail-ed1-f53.google.com with SMTP id w14so88806edc.8
 for <19392 <at> debbugs.gnu.org>; Tue, 13 Jul 2021 14:17:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=1I67rtH4UhBalyYVYIizKbjFuN9d/WTNC8mUiPeWxME=;
 b=LQHBCBE0uLuwRwjJdojAPraDS97W9ngFGZs5kG5maS1NfC+iZYmgH87IbI1E3c8chV
 AvE6Vic7UrirX0MgK9SeU894rrNc8hzehQEtLcw4yq+hyQ+eBjzOD30Bd9Je7ZbdSNHs
 hNbYxBcuuLv+1Y5l9xt8/2ZgqOvE3gtJg2Q3r/dC25LkKK0/3hI8Ht4S+Ad++ZofLSum
 ukc/RIVXWFrJy390PnmEnnIrslburbxAPQCvSw0qh8ZShAnupejXeZJ/ubI1z/yvybnl
 EDraPskrYHU7tzu4/gIpJ5ckodkHUcbUfoGZBBN3vdpVEa7XJRvqWl9OVct0z/nVAqij
 zWhw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=1I67rtH4UhBalyYVYIizKbjFuN9d/WTNC8mUiPeWxME=;
 b=AkDgCaBI2NzoB4LOjmH0b7azJmAkJtoaN7HOeezD5BLEbn8J63BgcMfsrdaFDjwUb5
 /Nwz3Yyr0RZ2ZVaB0KX7HLkA3SLLi2vdbxheTnDO7pnlGTd5sRXHnr+WIeQthkchanvn
 MO6odcRPCryMyhJwwOf5MDCFu3jtQqXUxVZs194uJfTj9IIjPkv7JZge/ksNLeTxJ8Ca
 RnCJ9keNWvrJyVCcRg7s9GL+7+c6rcvbfc4lFdXoCk5ElLE5kLaCUrUzHBUBgCNzN5WQ
 sIhvQ4IWksWc200xTXSFLqydbvyZjBDlZgliD96IWM77vPh9QG81K8LJBN6XYmD1RRln
 JuDQ==
X-Gm-Message-State: AOAM533h5RnXuUPUsLclPtDhxpOG/1Bi1AlFcIkjL79qisQr5qbC0mAL
 hJN5SISxWUZM0ND79A76rQw7ThQtvcnAdrsbGQ==
X-Google-Smtp-Source: ABdhPJx1xmp/xaI1CxSr+OWqGe0KVsv5eG7iy6eIrvWfski/3bTJy26nt7M/EvZ8Z60zxkYwi/QX9Vdod4sx8Dr8znA=
X-Received: by 2002:a05:6402:48f:: with SMTP id
 k15mr8370578edv.262.1626211015126; 
 Tue, 13 Jul 2021 14:16:55 -0700 (PDT)
MIME-Version: 1.0
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
 <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
In-Reply-To: <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
From: Paul Pogonyshev <pogonyshev@HIDDEN>
Date: Tue, 13 Jul 2021 23:16:44 +0200
Message-ID: <CAG7BpapbGCv6sxZooKCQ9CrNQTnP+BE1y06kifaGGB6y60ojLA@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000e2f06605c707c1af"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19392
Cc: 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000e2f06605c707c1af
Content-Type: text/plain; charset="UTF-8"

Zipping binary data was not a good idea, but at least string "PK" doesn't
come from the archived "random.bin". You can create another test `.zip'
file by archiving a text file, to be sure.

Paul

On Tue, 13 Jul 2021 at 23:12, Paul Pogonyshev <pogonyshev@HIDDEN> wrote:

> $ emacs -Q random.zip
>
> 1. Switch to buffer "*scratch*"
> 2. Type "P" (without quotes)
> 3. Press M-/
> 4. Here it finds expansion "PK" from buffer "random.zip".  Cycling
>    with M-/ finds a few more, which are more binary-like.
>
> On Tue, 13 Jul 2021 at 21:14, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>
>> Paul Pogonyshev <pogonyshev@HIDDEN> writes:
>>
>> > Apparently not from tarballs anymore, but still e.g. from a `.zip'
>> > archive. Though I have Emacs 27.1 here, not 28.
>>
>> I tried visiting a zip file here now (in Emacs 27.1), but I was unable
>> to make dabbrev-expand expand to any of the strings in the raw zip file.
>>
>> Do you have a recipe, starting from "emacs -Q", to reproduce the bug?
>> (Including a test zip file, I guess.)
>>
>> --
>> (domestic pets only, the antidote for overdose, milk.)
>>    bloggy blog: http://lars.ingebrigtsen.no
>>
>

--000000000000e2f06605c707c1af
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Zipping binary data was not a good idea, but at least stri=
ng &quot;PK&quot; doesn&#39;t come from the archived &quot;random.bin&quot;=
. You can create another test `.zip&#39; file by archiving a text file, to =
be sure.<div><br></div><div>Paul</div></div><br><div class=3D"gmail_quote">=
<div dir=3D"ltr" class=3D"gmail_attr">On Tue, 13 Jul 2021 at 23:12, Paul Po=
gonyshev &lt;<a href=3D"mailto:pogonyshev@HIDDEN">pogonyshev@HIDDEN</=
a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0p=
x 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><d=
iv dir=3D"ltr"><div dir=3D"ltr"><span style=3D"font-family:monospace"><span=
 style=3D"color:rgb(0,0,0)">$ emacs -Q random.zip</span><br></span><div><sp=
an style=3D"font-family:monospace"><span style=3D"color:rgb(0,0,0)"><br></s=
pan></span></div><div>1. Switch to buffer &quot;*scratch*&quot;<br>2. Type =
&quot;P&quot; (without quotes)<br>3. Press M-/<br>4. Here it finds expansio=
n &quot;PK&quot; from buffer &quot;random.zip&quot;.=C2=A0 Cycling<br>=C2=
=A0 =C2=A0with M-/ finds a few more, which are more binary-like.<br></div><=
/div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">O=
n Tue, 13 Jul 2021 at 21:14, Lars Ingebrigtsen &lt;<a href=3D"mailto:larsi@=
gnus.org" target=3D"_blank">larsi@HIDDEN</a>&gt; wrote:<br></div><blockqu=
ote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px=
 solid rgb(204,204,204);padding-left:1ex">Paul Pogonyshev &lt;<a href=3D"ma=
ilto:pogonyshev@HIDDEN" target=3D"_blank">pogonyshev@HIDDEN</a>&gt; w=
rites:<br>
<br>
&gt; Apparently not from tarballs anymore, but still e.g. from a `.zip&#39;=
<br>
&gt; archive. Though I have Emacs 27.1 here, not 28.<br>
<br>
I tried visiting a zip file here now (in Emacs 27.1), but I was unable<br>
to make dabbrev-expand expand to any of the strings in the raw zip file.<br=
>
<br>
Do you have a recipe, starting from &quot;emacs -Q&quot;, to reproduce the =
bug?<br>
(Including a test zip file, I guess.)<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div></div>
</blockquote></div>

--000000000000e2f06605c707c1af--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 13 Jul 2021 21:12:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 17:12:47 2021
Received: from localhost ([127.0.0.1]:42210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3Phv-00013y-3F
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 17:12:47 -0400
Received: from mail-ed1-f53.google.com ([209.85.208.53]:40837)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pogonyshev@HIDDEN>) id 1m3Phs-00013j-9q
 for 19392 <at> debbugs.gnu.org; Tue, 13 Jul 2021 17:12:45 -0400
Received: by mail-ed1-f53.google.com with SMTP id t3so81212edc.7
 for <19392 <at> debbugs.gnu.org>; Tue, 13 Jul 2021 14:12:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=H3OqLgnp8G+bs5lWLSqj/XBOuaMm88U1f4PHUsY/MR8=;
 b=r3IHof1Je/kwiCVSeAtYJ+Iu/K52BDXrwPcehlAxyqZEo2Bd120VNprJpZyG9WNHqk
 72dcn16glJHx9QNrlVMS/aim0MlWTqMvVJfP05fTlytwS6pMWADpj+tIvFCk8Vph5B0g
 QEM7XJcDEKUQadytJO3zFGYWTRFzBrh34ehVgSKnXTC4OaZfyj7JIwvrGYNlp8DNjyme
 oK5v0BrFEE+nolDt3wD80Zppyd9RANphCJtcOCzCDTvI1ODOLkxIAAHXhmJ9APCuvV+I
 7dlgXjONP6eg8M2ou9errHEVep+RpIjA1JazYGnX51iyUXw6ThbMWqYXnasKLUK3Jyyr
 HJeQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=H3OqLgnp8G+bs5lWLSqj/XBOuaMm88U1f4PHUsY/MR8=;
 b=ZRHmUILb9xpGIyNePRZp2I+mO+4QZQthHa8JifJxklYt1xSprCeBDCc6hy6ZSbC/pJ
 GFr9TOpbdbSIrAFTBnI5ZB8NXMCT64wGnHNxUlB/sPVDw1ALCJfAbQ36OZhpg4ObG+rz
 USI1fSZ9FQP88tWJz00rVaW4jrHxcuVJPbUeWj8zbgQfQYpj/G1F8Tm5NTFjG0GPNBin
 SMtKV6mkkORtzQ06KAUZEPNcioIDD85WRiRBtin3XM3lNHdA+gJ71DNP0m7pg7+ubVgf
 izq4rzSQNwKJK0UrS1/tgyWY1E0o+YXEF77CoGy8W8EtkWL64lgAVNn6+WMBtev2Y1Iu
 rYEw==
X-Gm-Message-State: AOAM531MKKRTnifgJ4CPK02S/NsBHaTZ79OEugqACbwpCaXgC49vqW09
 FyFP49DRW97wUgRXjGlPSMJXG1PIYyfkQzRrJA==
X-Google-Smtp-Source: ABdhPJxdLb4bJppRvB3IPou3FjlQTLtGiR0fHMGCycakHVs0K7Qa8aiTasMWtIyowql/12JW2hhDisrTTKhK9gSswaY=
X-Received: by 2002:aa7:cb03:: with SMTP id s3mr8376560edt.189.1626210758475; 
 Tue, 13 Jul 2021 14:12:38 -0700 (PDT)
MIME-Version: 1.0
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 <878s2aowlm.fsf@HIDDEN>
In-Reply-To: <878s2aowlm.fsf@HIDDEN>
From: Paul Pogonyshev <pogonyshev@HIDDEN>
Date: Tue, 13 Jul 2021 23:12:27 +0200
Message-ID: <CAG7BpapQ1YY6mpuf3p4zF0wP98_UwbsNTmMy7Gnw7H2h3BAddQ@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000096fb1a05c707b215"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19392
Cc: 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000096fb1a05c707b215
Content-Type: multipart/alternative; boundary="00000000000096fb1705c707b213"

--00000000000096fb1705c707b213
Content-Type: text/plain; charset="UTF-8"

$ emacs -Q random.zip

1. Switch to buffer "*scratch*"
2. Type "P" (without quotes)
3. Press M-/
4. Here it finds expansion "PK" from buffer "random.zip".  Cycling
   with M-/ finds a few more, which are more binary-like.

On Tue, 13 Jul 2021 at 21:14, Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Paul Pogonyshev <pogonyshev@HIDDEN> writes:
>
> > Apparently not from tarballs anymore, but still e.g. from a `.zip'
> > archive. Though I have Emacs 27.1 here, not 28.
>
> I tried visiting a zip file here now (in Emacs 27.1), but I was unable
> to make dabbrev-expand expand to any of the strings in the raw zip file.
>
> Do you have a recipe, starting from "emacs -Q", to reproduce the bug?
> (Including a test zip file, I guess.)
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--00000000000096fb1705c707b213
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><span style=3D"font-family:monospace"><sp=
an style=3D"color:rgb(0,0,0)">$ emacs -Q random.zip</span><br></span><div><=
span style=3D"font-family:monospace"><span style=3D"color:rgb(0,0,0)"><br><=
/span></span></div><div>1. Switch to buffer &quot;*scratch*&quot;<br>2. Typ=
e &quot;P&quot; (without quotes)<br>3. Press M-/<br>4. Here it finds expans=
ion &quot;PK&quot; from buffer &quot;random.zip&quot;.=C2=A0 Cycling<br>=C2=
=A0 =C2=A0with M-/ finds a few more, which are more binary-like.<br></div><=
/div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">O=
n Tue, 13 Jul 2021 at 21:14, Lars Ingebrigtsen &lt;<a href=3D"mailto:larsi@=
gnus.org" target=3D"_blank">larsi@HIDDEN</a>&gt; wrote:<br></div><blockqu=
ote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px=
 solid rgb(204,204,204);padding-left:1ex">Paul Pogonyshev &lt;<a href=3D"ma=
ilto:pogonyshev@HIDDEN" target=3D"_blank">pogonyshev@HIDDEN</a>&gt; w=
rites:<br>
<br>
&gt; Apparently not from tarballs anymore, but still e.g. from a `.zip&#39;=
<br>
&gt; archive. Though I have Emacs 27.1 here, not 28.<br>
<br>
I tried visiting a zip file here now (in Emacs 27.1), but I was unable<br>
to make dabbrev-expand expand to any of the strings in the raw zip file.<br=
>
<br>
Do you have a recipe, starting from &quot;emacs -Q&quot;, to reproduce the =
bug?<br>
(Including a test zip file, I guess.)<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div></div>

--00000000000096fb1705c707b213--

--00000000000096fb1a05c707b215
Content-Type: application/zip; name="random.zip"
Content-Disposition: attachment; filename="random.zip"
Content-Transfer-Encoding: base64
Content-ID: <f_kr2js78f0>
X-Attachment-Id: f_kr2js78f0

UEsDBAoAAAAAAMy47VL+2WUU6AMAAOgDAAAKABwAcmFuZG9tLmJpblVUCQADUADuYFUA7mB1eAsA
AQToAwAABOgDAAD1jQ0U5kOAl9Zqug+seCM7GzazObmvmnE+YvFw9ts7T3libXGuSKa56+FYW72L
KYkQm2UnM4K57ZjGnW3VGRMt4ztMc/X24gPnQIr6cgUgifB4WLSxBhjokTLlVXb06rrDBMiQ2Hoo
Ypl2Vv/VkcC7WLO+yUkHMjyeNejBr/aXWTHAUwDD/W8nuRYeSMKOK1bQnmNBcAVGCo/GeMf3yqtl
c/qsQV3zuaD2xg5SNPfD8H7wlL7cs6n0YHeMtl7LdylcaQ2LpVxMetifmlUci8vqAYVLY1SF+IOx
Z5Ewj6k9BYJAwAoamw09yPTph2bH1vAceDsxMJ+V3AcD5VN0ppa298eQe8wG2C08L27q3h2DYkFD
ShH6kipBjSESq5PMyzwqPvYpsNYpMAllUx9Q09UtyWVjpmMbw9baFgBocfdFY99llWtrCvqnLGnk
7VMcB53Ynp3jXwy/5VXhyhnMeb3p81VVx5x7DQt0j6oTRB1xPndNmFKK4hbpZZ9Rq6/WD6zWz4Vh
Hipmh9CiCxIhZX9c/1VAjHtVIpzCveKryFCqLZ5RqkjIGgZF2HLqwHjrMhmuCu7zE7+6AUMjVSj5
cMrwnjwtfyTwXN0Qiq+Dr+LVDjb1AIUoFw2ay05DFte3ekIPpMWBp32Rssa8wzdiRikKKFjfHxX+
6BCG5+8eaAKZtHjlQr7XIs5UU/Kr7z5QgZ/FQ8MOiSHkgdoZ+1t8KwzCBp7jfM7qdCL+5dhXGtlJ
BwJ5jXlHW3xfgSzBD2HOW5bU3tv/lCJiJC0sTkDMNfpYKvHRlJLfmTzpPXmiW8BAsjT4jTxx3Kpa
0Ts8x6nD7/1DXbR1IaHbO3JDFCBGZ8DI/xPewD2w3pSpIj41lQxurqA+mp9Rp4stY1csVy5d7sLV
WZJvwbQb91DtBxqFLAFwK+KdtaXs1UB2tbko3rRjX0jZrmUZKEbuJyGiqHok4Bm1A9HskYUA+2j0
5YWGKcLxvYMnSDHMcZalj4dTAoLT+ag6Srp60Aef2GnPTVE6pR2KbN3HD1VBUzakFBWbwI9krZpC
G9xu1w10fq+efxt8JWCpHR0llPavH1xr51JSUaGqCYo7X828eH051OgBdlGAq5f8Z/eV1+COHn41
i2PE6LwgfD6NEUuQ6Es2gsYwU8qPoXfEuv+7IZJ9sIax41eu7AAxqMwmiThz85CyN7AOzNThwAIy
7KvRaff0P1fzuD9TFVr2Zrs81vSZZY+Uw1VrqWBDdjOhh1dv4GdpwXepzTQvEjo8YF9H4FnDb7Kk
8t2T0jbSDF8Mp7s+4f7otWU5vNaPTpVHzzB1bSxoB20raDhdCj1SfPnvUEsBAh4DCgAAAAAAzLjt
Uv7ZZRToAwAA6AMAAAoAGAAAAAAAAAAAAKSBAAAAAHJhbmRvbS5iaW5VVAUAA1AA7mB1eAsAAQTo
AwAABOgDAABQSwUGAAAAAAEAAQBQAAAALAQAAAAA
--00000000000096fb1a05c707b215--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 13 Jul 2021 19:14:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 15:14:08 2021
Received: from localhost ([127.0.0.1]:42050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3Nr6-00047z-7l
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 15:14:08 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3Nr4-00047P-59
 for 19392 <at> debbugs.gnu.org; Tue, 13 Jul 2021 15:14:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wwB7s9xvWFcjM5fmRREOOOsOGgoz2xnwJYt1MaQJshE=; b=HS/koHEJKUmBJkbF26BggFMdVe
 C75i++DT5m8o8ACOgOcAvJwUzQAuZ4hRDxoTcAQMLWRqJ3EGGr1jTVlODGC64KgjoxciYFbOrdo6h
 zqZAKeLRMPUr8ULToN2ydIAoUlyX1+VJP5vEUIGOue6YfMgsSKXj5MihQrf26IL1XEbU=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m3Nqw-0003gP-0R; Tue, 13 Jul 2021 21:14:00 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
 <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEUpIRC+rE3///8D
 5IVeAAAAAWJLR0QCZgt8ZAAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0SU1FB+UHDRMEImV7vZUA
 AAC3SURBVCjPlZJBDgMhCEUhkf0syn0k6eydxH//q1TRUZpJF2VheH6FT5Tod7CIKR2JmP4Nzm0Z
 FxUXytxlBRS15wIDyovgOTJQFe0WwwELzqigg5eaQBsybVg+cPd2ePjMHNRK40Cv2kp7wdvOApvW
 nspvsCIbaDj3lubHrtG2geIs6TakeEM8O5ofSbBbackVp/iaq+40cYAax/dR04KygA9/nAklQg4w
 YoNY+CQyXkItb6CuV6EPMAY6nV361zgAAABaZVhJZk1NACoAAAAIAAUBEgADAAAAAQABAAABGgAF
 AAAAAQAAAEoBGwAFAAAAAQAAAFIBKAADAAAAAQACAAACEwADAAAAAQABAAAAAAAAAAAASAAAAAEA
 AABIAAAAAR9S9zQAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDctMTNUMTk6MDQ6MzMrMDA6MDBT
 8qBSAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA3LTEzVDE5OjA0OjMzKzAwOjAwIq8Y7gAAABd0
 RVh0ZXhpZjpZQ2JDclBvc2l0aW9uaW5nADGsD4BjAAAAAElFTkSuQmCC
X-Now-Playing: Steven Brown's _Live in Tilburg_: "Awakenings"
Date: Tue, 13 Jul 2021 21:13:57 +0200
In-Reply-To: <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
 (Paul Pogonyshev's message of "Tue, 13 Jul 2021 20:24:59 +0200")
Message-ID: <878s2aowlm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Paul Pogonyshev <pogonyshev@HIDDEN> writes: > Apparently
 not from tarballs anymore, but still e.g. from a `.zip' > archive. Though
 I have Emacs 27.1 here, not 28. I tried visiting a zip file here now (in
 Emacs 27.1), but I was unable to make dabbrev-expand expand to any of the
 strings in the raw zip file. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19392
Cc: 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Paul Pogonyshev <pogonyshev@HIDDEN> writes:

> Apparently not from tarballs anymore, but still e.g. from a `.zip'
> archive. Though I have Emacs 27.1 here, not 28.

I tried visiting a zip file here now (in Emacs 27.1), but I was unable
to make dabbrev-expand expand to any of the strings in the raw zip file.

Do you have a recipe, starting from "emacs -Q", to reproduce the bug?
(Including a test zip file, I guess.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 13 Jul 2021 18:25:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 14:25:21 2021
Received: from localhost ([127.0.0.1]:41995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3N5p-0000iq-Qd
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 14:25:21 -0400
Received: from mail-ej1-f49.google.com ([209.85.218.49]:38745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pogonyshev@HIDDEN>) id 1m3N5o-0000iY-99
 for 19392 <at> debbugs.gnu.org; Tue, 13 Jul 2021 14:25:16 -0400
Received: by mail-ej1-f49.google.com with SMTP id gb6so43193401ejc.5
 for <19392 <at> debbugs.gnu.org>; Tue, 13 Jul 2021 11:25:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=NbntctXIG50Oi9Tz2nRrQTKsKqULrnoeSoHZn9JgSs8=;
 b=aIloRYGGqwNn6IPsIHJRljhUQOl6H/OsEwrQ8vC7VSOnpw7a9siBAKY8aLMsNFTid6
 jWA38HCSUmxXh7QqpevlD/mdp2RxQlUSUl95b4vhS2i7TeqEM+Sbrv4GouivXgRKhRRH
 sstQlkwT+mWPuViQu6nK+B5fqTiW/APie/rbxJYebVZ15LyjoXoGy0cjy8rUC+oB0AP4
 oa7fvepYE8qZTbKapWw507LxOC1mUu1F6GoplQooH1SFVG9iA3WbMJPiYiwGVyq65aAS
 q/U4VGQKm+AFL1Gp2OA6Lq5l4CVRA0YTVhKdu/K5j079AYleJUTy/LljMEbmze9+EDu9
 d99Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=NbntctXIG50Oi9Tz2nRrQTKsKqULrnoeSoHZn9JgSs8=;
 b=rxhEuFNRPty9eyMB6yJ+CA/rGaabfJaAzEUaIxkY0L8KVftc7sU/bfEuhIMkVwVnZ1
 CXMs+oD4sKH6xjvWWQS0x11PepUWNqBzI2iQRKKOZWMZ9dPEbActeQ5bg/vVrVvxDE7n
 3PkA+1QhQcwebHh1RgOHJtV0DIE1PyMNbKOF1kUBlhPCCxq15jRP8IbWSMcystOdD1x6
 gN8q6pJknUyxGot8qk8L6xYI+8AYDcMP27ftINfvR62TXv6Ioq9udXVziw0vYXtqDluW
 tz6BpqRhToEJ5KuIiMIyFL1FcrncUY2a+3yCvN4zEMzjWxJByVWEVkbOLwR3wMj5MraX
 DKLQ==
X-Gm-Message-State: AOAM531tu1DHJ4hliu9hs63fRKPDXKB5UlweWxVMMFHxETl4UeWBnKsj
 y2v9fgTz64InTavwn0YMQ2H0o62e7KVNbjwBKw==
X-Google-Smtp-Source: ABdhPJwTpOM/UnXBi7XTpzl60R3Q884LFVsspqCw4rHvpKDtK9qIrLqPA4CrHprYYcp6fe2sOPCBJtR7xNzMkJaN+Ko=
X-Received: by 2002:a17:906:5fc1:: with SMTP id
 k1mr7166884ejv.360.1626200710177; 
 Tue, 13 Jul 2021 11:25:10 -0700 (PDT)
MIME-Version: 1.0
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <871r82qe5v.fsf@HIDDEN>
In-Reply-To: <871r82qe5v.fsf@HIDDEN>
From: Paul Pogonyshev <pogonyshev@HIDDEN>
Date: Tue, 13 Jul 2021 20:24:59 +0200
Message-ID: <CAG7BpapzDOVU-j9u5sWd7wfdisaYBY+0bDnu+nV+hSmPthYoNg@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000ab1bb005c7055b0f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19392
Cc: 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000ab1bb005c7055b0f
Content-Type: text/plain; charset="UTF-8"

Apparently not from tarballs anymore, but still e.g. from a `.zip' archive.
Though I have Emacs 27.1 here, not 28.

Paul

On Tue, 13 Jul 2021 at 20:09, Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Paul Pogonyshev <pogonyshev@HIDDEN> writes:
>
> > * In a freshly started Emacs, open an archive, e.g. a .tar.gz file in a
> buffer.
> > * Switch to another buffer, type a couple of letters and then start
> pressing 'M-/'
> > (dabbrev-expand).
> > * It is very likely you will hit a "very useful" dabbrev in binary form
> taken from
> > the archive. E.g. I opened a large tarball, then switched to *scratch*,
> typed "tz",
> > and the very first dabbrev I got was "tz\327r".
>
> (I'm going through old bug reports that unfortunately got little response
> at
> the time.)
>
> I tried reproducing this in Emacs 28, and I don't get any of these
> binary expansions.  Are you still seeing this in more recent Emacs
> versions?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--000000000000ab1bb005c7055b0f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Apparently not from tarballs anymore, but still e.g. from =
a `.zip&#39; archive. Though I have Emacs 27.1 here, not 28.<div><br></div>=
<div>Paul</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">On Tue, 13 Jul 2021 at 20:09, Lars Ingebrigtsen &lt;<a href=
=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></div><blockquo=
te class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px =
solid rgb(204,204,204);padding-left:1ex">Paul Pogonyshev &lt;<a href=3D"mai=
lto:pogonyshev@HIDDEN" target=3D"_blank">pogonyshev@HIDDEN</a>&gt; wr=
ites:<br>
<br>
&gt; * In a freshly started Emacs, open an archive, e.g. a .tar.gz file in =
a buffer.<br>
&gt; * Switch to another buffer, type a couple of letters and then start pr=
essing &#39;M-/&#39;<br>
&gt; (dabbrev-expand).<br>
&gt; * It is very likely you will hit a &quot;very useful&quot; dabbrev in =
binary form taken from<br>
&gt; the archive. E.g. I opened a large tarball, then switched to *scratch*=
, typed &quot;tz&quot;,<br>
&gt; and the very first dabbrev I got was &quot;tz\327r&quot;.<br>
<br>
(I&#39;m going through old bug reports that unfortunately got little respon=
se at<br>
the time.)<br>
<br>
I tried reproducing this in Emacs 28, and I don&#39;t get any of these<br>
binary expansions.=C2=A0 Are you still seeing this in more recent Emacs<br>
versions?<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div>

--000000000000ab1bb005c7055b0f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 13 Jul 2021 18:09:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 14:09:27 2021
Received: from localhost ([127.0.0.1]:41921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3MqV-0006R3-6Q
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 14:09:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3MqT-0006Qk-Ke
 for 19392 <at> debbugs.gnu.org; Tue, 13 Jul 2021 14:09:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FQBoq55XCv2IaGUjNqdr7CADnxfPBbkwwa7ntSEJ8TQ=; b=V6qobitFeE3PiprczOU/oFxm3n
 bW7ooJ3zHHQyUpofMwYcEusSf489BbHV/qZYV10aBHOXmaokUyCsjM0Uql4tLmcBzXL7oKx5dK5CC
 tkDu4Js68ZMHMh2/R1rqUz6eqq9EFo4+xvx+JBJm1xSpYkhLgsjRYTMRUa/mL6Vza8C4=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m3MqL-00034c-7t; Tue, 13 Jul 2021 20:09:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
X-Now-Playing: SOPHIE's _OIL OF EVERY PEARL'S UN-INSIDES_: "Ponyboy"
Date: Tue, 13 Jul 2021 20:09:16 +0200
In-Reply-To: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 (Paul Pogonyshev's message of "Tue, 16 Dec 2014 10:32:13 +0100")
Message-ID: <871r82qe5v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Paul Pogonyshev <pogonyshev@HIDDEN> writes: > * In a
 freshly
 started Emacs, open an archive, e.g. a .tar.gz file in a buffer. > * Switch
 to another buffer, type a couple of letters and then start pressing 'M-/'
 > (dabbrev-expand). > * It is ver [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19392
Cc: 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Paul Pogonyshev <pogonyshev@HIDDEN> writes:

> * In a freshly started Emacs, open an archive, e.g. a .tar.gz file in a buffer.
> * Switch to another buffer, type a couple of letters and then start pressing 'M-/'
> (dabbrev-expand).
> * It is very likely you will hit a "very useful" dabbrev in binary form taken from
> the archive. E.g. I opened a large tarball, then switched to *scratch*, typed "tz",
> and the very first dabbrev I got was "tz\327r".

(I'm going through old bug reports that unfortunately got little response at
the time.)

I tried reproducing this in Emacs 28, and I don't get any of these
binary expansions.  Are you still seeing this in more recent Emacs
versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 16 Dec 2014 16:19:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 16 11:19:11 2014
Received: from localhost ([127.0.0.1]:48027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y0uq6-000568-HQ
	for submit <at> debbugs.gnu.org; Tue, 16 Dec 2014 11:19:10 -0500
Received: from mail-ie0-f173.google.com ([209.85.223.173]:58826)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pogonyshev@HIDDEN>) id 1Y0uq3-00055y-Uw
 for 19392 <at> debbugs.gnu.org; Tue, 16 Dec 2014 11:19:08 -0500
Received: by mail-ie0-f173.google.com with SMTP id y20so13170712ier.18
 for <19392 <at> debbugs.gnu.org>; Tue, 16 Dec 2014 08:19:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=KyztjqMdKctodnr4hAwllJ8eS8kIqjgOG0qz99jW8IA=;
 b=gr0A44MsSBPTko8Nj3oIWrwtofK4JYsHty603mpOSpMXoXhX30xQLCUlNWXUfOKm5A
 bye3odDbjgyGgtUGB6joDCbTr4RlNtAV+yXmY5gpESDSNTxjSjj87E5+zz3o142j4nRx
 qJE4LM8fmqV1ZYNSb0kv89MTLBhmkS3Zeh6xYipjhEcLr6677OpfhC/UywIJDiqp8zFV
 9uW4YBMFYRlEO2BQSezQP8mKlpnpsr/SDFUqwzWlf9TosLe8cvCl+a7OmVIvUY5fNiza
 sA2n14xzfY36SyzJS/4BUg4GHcjHP/zaIVHa2CBmQQaN5Y5dxOexmoP6W528U1Nw20gV
 qzxw==
MIME-Version: 1.0
X-Received: by 10.107.128.138 with SMTP id k10mr35323648ioi.69.1418746747068; 
 Tue, 16 Dec 2014 08:19:07 -0800 (PST)
Received: by 10.43.125.2 with HTTP; Tue, 16 Dec 2014 08:19:06 -0800 (PST)
In-Reply-To: <83ppbjwqma.fsf@HIDDEN>
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
 <83ppbjwqma.fsf@HIDDEN>
Date: Tue, 16 Dec 2014 17:19:06 +0100
Message-ID: <CAG7BpappLoDTc84u3venwtzTdqFDVJSc=nFPecSQct+2oX93Dg@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
From: Paul Pogonyshev <pogonyshev@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113fbcc4e2a8fb050a57b7fe
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 19392
Cc: 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a113fbcc4e2a8fb050a57b7fe
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

> What is the definition of "archive" for this purpose?

I would say any buffer that has certain major mode, e.g. 'archive-mode' or
'tar-mode'.

> Also, when you visit a .tar.gz file, isn't most of the buffer readable
> text (because Emacs automatically decompresses the archive)?=E2=80=8B

Yes, it appears readable, but dabbrev still comes with various "useful"
binary data. Perhaps another approach would be to not search for abbrevs in
hidden text, but I don't know how that is implemented internally and if it
would be easy enough.

Paul

--001a113fbcc4e2a8fb050a57b7fe
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>&gt; What is the definition of &quot;archive&quot; fo=
r this purpose?<br><br></div>I would say any buffer that has certain major =
mode, e.g. &#39;archive-mode&#39; or &#39;tar-mode&#39;.<br><div>
<br>&gt; Also, when you visit a .tar.gz file, isn&#39;t most of the buffer =
readable<br>&gt; text (because Emacs automatically decompresses the archive=
)?=E2=80=8B<br><br></div><div>Yes, it appears readable, but dabbrev still c=
omes with various &quot;useful&quot; binary data. Perhaps another approach =
would be to not search for abbrevs in hidden text, but I don&#39;t know how=
 that is implemented internally and if it would be easy enough.<br><br></di=
v><div>Paul<br></div></div>

--001a113fbcc4e2a8fb050a57b7fe--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at 19392 <at> debbugs.gnu.org:


Received: (at 19392) by debbugs.gnu.org; 16 Dec 2014 15:39:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 16 10:39:56 2014
Received: from localhost ([127.0.0.1]:48005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y0uE8-00049J-2l
	for submit <at> debbugs.gnu.org; Tue, 16 Dec 2014 10:39:56 -0500
Received: from mtaout27.012.net.il ([80.179.55.183]:54595)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Y0uE4-000497-Um
 for 19392 <at> debbugs.gnu.org; Tue, 16 Dec 2014 10:39:53 -0500
Received: from conversion-daemon.mtaout27.012.net.il by mtaout27.012.net.il
 (HyperSendmail v2007.08) id <0NGO00900LQJKI00@HIDDEN> for
 19392 <at> debbugs.gnu.org; Tue, 16 Dec 2014 17:35:50 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout27.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NGO00PT0LZQ6G90@HIDDEN>; Tue, 16 Dec 2014 17:35:50 +0200 (IST)
Date: Tue, 16 Dec 2014 17:39:41 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers
In-reply-to: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Message-id: <83ppbjwqma.fsf@HIDDEN>
References: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19392
Cc: 19392 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Tue, 16 Dec 2014 10:32:13 +0100
> From: Paul Pogonyshev <pogonyshev@HIDDEN>
> 
> * In a freshly started Emacs, open an archive, e.g. a .tar.gz file in a buffer.
> * Switch to another buffer, type a couple of letters and then start pressing
> 'M-/' (dabbrev-expand).
> * It is very likely you will hit a "very useful" dabbrev in binary form taken
> from the archive. E.g. I opened a large tarball, then switched to *scratch*,
> typed "tz", and the very first dabbrev I got was "tz\327r".
> 
> Request: Emacs should ignore archive and other binary buffers when generating
> dabbrevs.

What is the definition of "archive" for this purpose?

Also, when you visit a .tar.gz file, isn't most of the buffer readable
text (because Emacs automatically decompresses the archive)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Dec 2014 09:32:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 16 04:32:19 2014
Received: from localhost ([127.0.0.1]:47432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y0oUM-0000n8-Uc
	for submit <at> debbugs.gnu.org; Tue, 16 Dec 2014 04:32:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34327)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pogonyshev@HIDDEN>) id 1Y0oUK-0000my-OS
 for submit <at> debbugs.gnu.org; Tue, 16 Dec 2014 04:32:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1Y0oUJ-0005hs-M7
 for submit <at> debbugs.gnu.org; Tue, 16 Dec 2014 04:32:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38950)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1Y0oUJ-0005hn-IP
 for submit <at> debbugs.gnu.org; Tue, 16 Dec 2014 04:32:15 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36041)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1Y0oUI-0007Gi-Mv
 for bug-gnu-emacs@HIDDEN; Tue, 16 Dec 2014 04:32:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1Y0oUH-0005hQ-MY
 for bug-gnu-emacs@HIDDEN; Tue, 16 Dec 2014 04:32:14 -0500
Received: from mail-ig0-x22e.google.com ([2607:f8b0:4001:c05::22e]:62759)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1Y0oUH-0005hE-ID
 for bug-gnu-emacs@HIDDEN; Tue, 16 Dec 2014 04:32:13 -0500
Received: by mail-ig0-f174.google.com with SMTP id hn15so6560816igb.1
 for <bug-gnu-emacs@HIDDEN>; Tue, 16 Dec 2014 01:32:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=GvsuBBK4XWXCpfcjXO5lN9nZ5Ue1q1UP3egbB8hZdmU=;
 b=qewi+HxLylyiqkbTwX+tIJyJo+3ifhgFoi9kMfEyoxySj/szdmwLjAXiHgy0LO7Xfs
 gtirJe20aajV84fhpWCAhG6520SnmuEOq22CRq/Kh1HFaNk3DKj1uzjruPrhp7oPkQd5
 gnyKlbI+Gy7THvoAfqZubuz2kYYRq2KlHeXRZiqWAZ9Ffj35azZoCaR6eAj6rvz6jels
 1I+wIQMPIaPCQ9KBa2409eXayhbSdaGtKJFgFc4JH7sbBKOQ5NmwxJYBe6C9SDxNsmA0
 XshTNura9Fs5H2OXXXRAguGfhXBnRr+QIadR7gqDSrj8kE6GCAdl+1JJbRocX54JIX6D
 cFNg==
MIME-Version: 1.0
X-Received: by 10.107.128.138 with SMTP id k10mr33447607ioi.69.1418722333116; 
 Tue, 16 Dec 2014 01:32:13 -0800 (PST)
Received: by 10.43.125.2 with HTTP; Tue, 16 Dec 2014 01:32:13 -0800 (PST)
Date: Tue, 16 Dec 2014 10:32:13 +0100
Message-ID: <CAG7BpapDrjvEOL036QimXxfOAhakUZV2tqUZZa=6C4JLGSid5Q@HIDDEN>
Subject: Emacs searches for dabbrevs in archive buffers
From: Paul Pogonyshev <pogonyshev@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a113fbcc4b3506b050a5208af
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113fbcc4b3506b050a5208af
Content-Type: text/plain; charset=UTF-8

Reproducible with 'emacs -q':

* In a freshly started Emacs, open an archive, e.g. a .tar.gz file in a
buffer.
* Switch to another buffer, type a couple of letters and then start
pressing 'M-/' (dabbrev-expand).
* It is very likely you will hit a "very useful" dabbrev in binary form
taken from the archive. E.g. I opened a large tarball, then switched to
*scratch*, typed "tz", and the very first dabbrev I got was "tz\327r".

Request: Emacs should ignore archive and other binary buffers when
generating dabbrevs. There are some settings to ignore buffers by name, but
this would rather ignore buffers by mode. Also, this should be the default
because I cannot imagine binary dabbrevs being useful to more than maybe
0.01% of users.

Reproduced on a recent Emacs trunk.

Paul

--001a113fbcc4b3506b050a5208af
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div><div>Reproducible with &#39;emacs -q&#39;:<br></=
div><div><br>* In a freshly started Emacs, open an archive, e.g. a .tar.gz =
file in a buffer.<br></div>* Switch to another buffer, type a couple of let=
ters and then start pressing &#39;M-/&#39; (dabbrev-expand).<br></div>* It =
is very likely you will hit a &quot;very useful&quot; dabbrev in binary for=
m taken from the archive. E.g. I opened a large tarball, then switched to *=
scratch*, typed &quot;tz&quot;, and the very first dabbrev I got was &quot;=
tz\327r&quot;.<br><br></div>Request: Emacs should ignore archive and other =
binary buffers when generating dabbrevs. There are some settings to ignore =
buffers by name, but this would rather  ignore buffers by mode. Also, this =
should be the default because I cannot imagine binary dabbrevs being useful=
 to more than maybe 0.01% of users.<br><div><div><div><div><div><br>Reprodu=
ced on a recent Emacs trunk.<br><br></div><div>Paul<br></div></div></div></=
div></div></div>

--001a113fbcc4b3506b050a5208af--




Acknowledgement sent to Paul Pogonyshev <pogonyshev@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19392; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 24 Oct 2021 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.